> For the complete documentation index, see [llms.txt](https://docs.coldstack.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/bucket/renamebucket.md).

# RenameBucket

Renames a bucket. This operation is an extension to the standard S3 protocol, and was implemented to give users far more functionality.

### Request <a href="#request" id="request"></a>

```http
MOVE /{bucket} HTTP/1.1
Destination: {newBucketName}
```

#### Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter       | Description                 |
| --------------- | --------------------------- |
| `bucket`        | Current name of the bucket. |
| `newBucketName` | New name for the bucket.    |

#### Headings <a href="#request-headers" id="request-headers"></a>

Use only [generic headers](/http-api-compatible-with-amazon-s3/api-reference/common-request-headers.md) in your request .

### Response <a href="#response" id="response"></a>

#### Headings <a href="#response-headers" id="response-headers"></a>

The response can only contain [general headers](/http-api-compatible-with-amazon-s3/api-reference/common-response-headers.md) .

#### Response codes <a href="#response-codes" id="response-codes"></a>

For a list of possible responses, see the [Responses](/http-api-compatible-with-amazon-s3/api-reference/answers.md) section .

A successful response does not contain additional data and means that the bucket was successfully renamed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/bucket/renamebucket.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
